Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225293 - Merge Review: authconfig
Summary: Merge Review: authconfig
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 21:07 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-21 20:32 UTC (History)
1 user (show)

Fixed In Version: F7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-23 12:30:49 UTC
mmaslano: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-29 21:07:53 UTC
Fedora Merge Review: authconfig

http://cvs.fedora.redhat.com/viewcvs/devel/authconfig/

Comment 1 Marcela Mašláňová 2007-03-29 10:55:47 UTC
authconfig
W: authconfig no-url-tag
-> add tag
W: authconfig symlink-should-be-relative /usr/sbin/authconfig-tui
/usr/share/authconfig/authconfig-tui.py
W: authconfig symlink-should-be-relative /usr/sbin/authconfig
/usr/share/authconfig/authconfig.py
-> possible problems with absolute symlinks
W: authconfig read-error /etc/pam.d/system-auth-ac [Errno 2] No such file or
directory: '/tmp/authconfig-5.3.13-2.fc7.i386.rpm.10386//etc/pam.d/system-auth-ac'

authconfig-gtk
W: authconfig-gtk no-url-tag
W: authconfig-gtk no-documentation
W: authconfig-gtk symlink-should-be-relative
/usr/sbin/system-config-authentication /usr/share/authconfig/authconfig-gtk.py
W: authconfig-gtk no-dependency-on usermode
W: authconfig-gtk symlink-should-be-relative /usr/sbin/authconfig-gtk
/usr/share/authconfig/authconfig-gtk.py
W: authconfig-gtk no-dependency-on usermode

Wrong buildroot path.
%defattr(-,root,root) replace with %defattr(-,root,root,-)



Comment 2 Tomas Mraz 2007-04-05 10:27:22 UTC
(In reply to comment #1)
> authconfig
> W: authconfig no-url-tag
> -> add tag
Fixed although the project doesn't have any real web pages.

> W: authconfig symlink-should-be-relative /usr/sbin/authconfig-tui
> /usr/share/authconfig/authconfig-tui.py
> W: authconfig symlink-should-be-relative /usr/sbin/authconfig
> /usr/share/authconfig/authconfig.py
> -> possible problems with absolute symlinks
The symlink points to completely unrelated subtree -> should stay absolute.

> W: authconfig read-error /etc/pam.d/system-auth-ac [Errno 2] No such file or
> directory: '/tmp/authconfig-5.3.13-2.fc7.i386.rpm.10386//etc/pam.d/system-auth-ac'
Bug in rpmlint.

> authconfig-gtk
> W: authconfig-gtk no-url-tag
> W: authconfig-gtk no-documentation
> W: authconfig-gtk symlink-should-be-relative
> /usr/sbin/system-config-authentication /usr/share/authconfig/authconfig-gtk.py
> W: authconfig-gtk no-dependency-on usermode
It depends on it indirectly through authconfig base package.

> W: authconfig-gtk symlink-should-be-relative /usr/sbin/authconfig-gtk
> /usr/share/authconfig/authconfig-gtk.py
> W: authconfig-gtk no-dependency-on usermode
> 
> Wrong buildroot path.
Fixed.
> %defattr(-,root,root) replace with %defattr(-,root,root,-)
Fixed.

(authconfig-5.3.13-3.fc7)


Note You need to log in before you can comment on or make changes to this bug.